#version 120

uniform sampler2D texture;

uniform float time = 1.0;
uniform float alphaBlending = 1.0;
uniform vec2 resolution;
float rand(vec2 co){
  return fract(sin(dot(co.xy ,vec2(12.9898,78.233))) * 43758.5453*time);
}

void main()
{
	vec4 c;
	c=texture2D(texture,gl_TexCoord[0].st)+rand(vec2(floor(gl_TexCoord[0].s*256)/128,floor(gl_TexCoord[0].t*256)/128));
	c=new vec4(c.r,c.g,c.b,alphaBlending);
	gl_FragColor = c;

}
